## NAME

m.flip - Flips elevation data extracted from systems that retrieve data by rows from south to north.
(GRASS Data Import/Processing Program)

## SYNOPSIS

m.flip
m.flip help
m.flip [-q] input=name output=name rows=value cols=value bpc=value

## DESCRIPTION

m.flip is similar to m.rot90 . However, rather than rotating a raster file, m.flip flips the contents of the raster generated by tape extraction programs about the east-west axis. Flipping may be necessary to compensate for the orientation of the data read from tape. This program can be used in conjunction with the program r.in.ll to convert this rotated data into GRASS raster format.

m.flip requires five inputs to be entered by the user. These parameters and the optional flag setting are described below.

### Flags:

-q
  Run quietly, suppressing output of messages on program progress to standard output.

### Parameters:

input=name
  The full pathname of an existing file containing the data to be flipped.
output=name
  The full pathname of the output file in which the rotated data are to be stored.
rows=value
  The number of rows of data in the input file. Values must be positive integers.
cols=value
  The number of columns of data in the input file. Values must be positive integers.
bpc=value
  The number of bytes per cell (i.e., per data value) in the input file. Values must be positive integers.

## EXAMPLE

The following command:

  m.flip input=/tmp/foo.out output=/tmp/flip.out rows=301 cols=358 bpc=2

will rotate the file /tmp/foo.out, and place the rotated file in /tmp/flip.out. Here, the input file is 301 rows by 358 columns, at 2 bytes per data value.

## SEE ALSO

Pursuance of Elevation Data, by Stuart Bradshaw, USACERL
DTED and DEM Elevation Data Extraction, by Stuart Bradshaw, Mary Martin, and Chester Kos, USACERL

g.region
m.dmaUSGSread
m.dted.examine
m.dted.extract
m.examine.tape
m.region.ll
m.rot90
r.describe
r.in.ll
r.rescale
r.slope.aspect

## AUTHORS

Donald Newcomb, U.S. Naval Oceanographic Office,
borrowing heavily from the m.rot90 program written by Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $